API

Update base settings

POST/api/crm/v2/base_settings.updatev2
operationId: baseSettings.update

Updates the basic settings. about accepts HTML with an allowed list of tags and is validated against a blacklist of words. Social media links are validated as URLs.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 8779

Request body multipart/form-data

object
aboutstringrequired

HTML text; allowed tags: <p>, <strong>, <br>, <big>, <ol>, <ul>, <li>

Example: <b>About branch</b>

excludesarray of stringrequired

Array of field keys for which HTML tags should not be removed

default_imagestring · binary
blockboolean

Example: true

cart_lead_timeboolean

Example: true

noticestringrequired

Example: free delivery

cart_noticestringrequired

Example: free delivery

social_network_vkstring

Example: https://vk.com/id90638739

social_network_okstring

Example: https://ok.ru/zloy_ded

social_network_tgstring

Example: https://t.me/@sh4dberow

social_network_wastring

Example: https://chat.whatsapp.com/@sh4dberow

social_network_fbstring

Example: https://facebook.com/foodsoul

social_network_instring

Example: https://instagram.com/foodsoul

order_message_minutesinteger

Example: 10

order_message_permanent_clientboolean

Example: true

order_message_prepayment_orderboolean

Example: true

order_message_custom_texts_prepayment_and_not_workstring

Example: text

order_message_custom_texts_prepayment_and_workstring

Example: text

order_message_custom_texts_workstring

Example: text

order_message_custom_texts_not_workstring

Example: text

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject